clang-tools 10.0.0

Namespaces | Functions
PPTrace.cpp File Reference
`#include "PPCallbacksTracker.h"`
`#include "clang/AST/ASTConsumer.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Driver/Options.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendAction.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/Execution.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Option/Arg.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Option/OptTable.h"`
`#include "llvm/Option/Option.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/GlobPattern.h"`
`#include "llvm/Support/InitLLVM.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ToolOutputFile.h"`
`#include "llvm/Support/WithColor.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for PPTrace.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::pp_trace

## Functions
static cl::OptionCategory | clang::pp_trace::Cat ("pp-trace options")
static cl::opt< std::string > | clang::pp_trace::Callbacks ("callbacks", cl::init("*"), cl::desc("Comma-separated list of globs describing the list of callbacks " "to output. Globs are processed in order of appearance. Globs " "with the '-' prefix remove callbacks from the set. e.g. " "'*,-Macro*'."), cl::cat(Cat))
static cl::opt< std::string > | clang::pp_trace::OutputFileName ("output", cl::init("-"), cl::desc("Output trace to the given file name or '-' for stdout."), cl::cat(Cat))
static LLVM_ATTRIBUTE_NORETURN void | clang::pp_trace::error (Twine Message)
int | main (int argc, const char **argv)

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 128 of file PPTrace.cpp.

References clang::pp_trace::Cat(), clang::pp_trace::error(), clang::tidy::cppcoreguidelines::toString(), and clang::tidy::abseil::X().